Bug 40351 - xrandr does not allow overriding resolutions anymore
Summary: xrandr does not allow overriding resolutions anymore
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: App/xrandr (show other bugs)
Version: 7.6 (2010.12)
Hardware: Other All
: medium normal
Assignee: Hadmut Danisch
QA Contact: Xorg Project Team
URL:
Whiteboard: 2011BRB_Reviewed
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 06:57 UTC by Hadmut Danisch
Modified: 2018-08-10 20:33 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Hadmut Danisch 2011-08-24 06:57:21 UTC
Hi, 

I have a little nasty TV screen with a panel resolution of 1360x768 (sounds strange, but thats what's on the package). 

Unfortunately, the TV screen is made for video, not for computers, and thus reports HDMI resolutions as 

   1920x1080      50.0*+
   1920x1080i     25.0     30.0  
   1280x720       50.0     60.0  
   720x576        50.0  
   720x480        59.9  


X11 therefore chooses 1920x1080, which is scaled down by the TV and thus blurred and unsharp. 

Some time ago I had this TV screen connected to a ubuntu machine and could easily run 

xrandr -s 1360x768

getting a perfect video output. The TV accepted this. 

Now I wanted to do this again, but unfortunately get the error message

# xrandr -s 1360x768
Size 1360x768 not found in available modes


Obviously xrandr has been changed to verify the resolution against the list reported by the monitor, thus breaking that way to get a proper output. 

Please allow to override that restriction with --brute-force or something like that.
Comment 1 Jeremy Huddleston Sequoia 2011-10-08 19:35:19 UTC
What versions (server, xrandr, video drivers) were you using when this was 
working?  Can you narrow it down to one change that introduces the problem?
Comment 2 Hadmut Danisch 2013-02-06 18:41:33 UTC
It worked with the ubuntu version about 1 year before reporting this bug. But since this is years ago I can't recall, what particular versions that have been.
Comment 3 GitLab Migration User 2018-08-10 20:33:45 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/app/xrandr/issues/13.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.